Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class ObjectClassExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.ObjectClassExistsException

All Implemented Interfaces
  Serializable

    public class ObjectClassExistsException

extends RepositoryException

Thrown if trying to create an ObjectClass that already exists.

See Also
  Serialized Form

Constructor Summary
`ObjectClassExistsException(String message)`
`ObjectClassExistsException(String message, Throwable cause)`
`ObjectClassExistsException(String message, Throwable cause, boolean log)`
`ObjectClassExistsException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectClassExistsException

    public ObjectClassExistsException(String message)

### ObjectClassExistsException

    public ObjectClassExistsException(String message,
                                      Throwable cause)

### ObjectClassExistsException

    public ObjectClassExistsException(Throwable cause)

### ObjectClassExistsException

    public ObjectClassExistsException(String message,
                                      Throwable cause,
                                      boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.